## ECategoriesSelector

ECategoriesSelector

## Synopsis

                        ECategoriesSelector;
    GtkWidget *         e_categories_selector_new           (void);
    const gchar *       e_categories_selector_get_checked   (ECategoriesSelector *selector);
    void                e_categories_selector_set_checked   (ECategoriesSelector *selector,
                                                             const gchar *categories);
    gboolean            e_categories_selector_get_items_checkable
                                                            (ECategoriesSelector *selector);
    void                e_categories_selector_set_items_checkable
                                                            (ECategoriesSelector *selectr,
                                                             gboolean checkable);
    void                e_categories_selector_delete_selection
                                                            (ECategoriesSelector *selector);
    const gchar *       e_categories_selector_get_selected  (ECategoriesSelector *selector);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkTreeView
                               +----ECategoriesSelector

## Implemented Interfaces

ECategoriesSelector implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Properties

      "items-checkable"          gboolean              : Read / Write

## Signals

      "category-checked"                               : Run First
      "selection-changed"                              : Run First

## Description

## Details

### ECategoriesSelector

    typedef struct _ECategoriesSelector ECategoriesSelector;

### e_categories_selector_new ()

    GtkWidget *         e_categories_selector_new           (void);

Returns : |

Since 3.2

### e_categories_selector_get_checked ()

    const gchar *       e_categories_selector_get_checked   (ECategoriesSelector *selector);

`selector` : |
Returns : |

Since 3.2

### e_categories_selector_set_checked ()

    void                e_categories_selector_set_checked   (ECategoriesSelector *selector,
                                                             const gchar *categories);

`selector` : |
`categories` : |

Since 3.2

### e_categories_selector_get_items_checkable ()

    gboolean            e_categories_selector_get_items_checkable
                                                            (ECategoriesSelector *selector);

`selector` : |
Returns : |

Since 3.2

### e_categories_selector_set_items_checkable ()

    void                e_categories_selector_set_items_checkable
                                                            (ECategoriesSelector *selectr,
                                                             gboolean checkable);

`selectr` : |
`checkable` : |

Since 3.2

### e_categories_selector_delete_selection ()

    void                e_categories_selector_delete_selection
                                                            (ECategoriesSelector *selector);

`selector` : |

Since 3.2

### e_categories_selector_get_selected ()

    const gchar *       e_categories_selector_get_selected  (ECategoriesSelector *selector);

`selector` : |
Returns : |

Since 3.2

## Property Details

### The `"items-checkable"` property

      "items-checkable"          gboolean              : Read / Write

Default value: TRUE

## Signal Details

### The `"category-checked"` signal

    void                user_function                      (ECategoriesSelector *ecategoriesselector,
                                                            gchar               *arg1,
                                                            gboolean             arg2,
                                                            gpointer             user_data)                : Run First

`ecategoriesselector` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.

### The `"selection-changed"` signal

    void                user_function                      (ECategoriesSelector *ecategoriesselector,
                                                            GtkTreeSelection    *arg1,
                                                            gpointer             user_data)                : Run First

`ecategoriesselector` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.